Bug 484616 - Wrap debuginfo packages description on 80 characters per line
Wrap debuginfo packages description on 80 characters per line
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Jon Masters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-08 20:37 EST by Milos Jakubicek
Modified: 2009-12-18 02:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:51:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (467 bytes, patch)
2009-02-09 09:24 EST, Milos Jakubicek
no flags Details | Diff

  None (edit)
Description Milos Jakubicek 2009-02-08 20:37:53 EST
Description of problem:

For long package names the automatically generated debuginfo package description exceeds 80 characters per line which results into an unnecessary error by rpmlint (E: description-line-too-long)

Version-Release number of selected component (if applicable):

rpm-4.6.0-1.fc10.x86_64
Comment 1 Milos Jakubicek 2009-02-09 09:24:30 EST
Created attachment 331311 [details]
Proposed patch

Maybe it would be enough to wrap the line just before the package name -- see the very simple patch attached.
Comment 2 Panu Matilainen 2009-02-09 09:43:12 EST
The description is just a free-form text blurb, rpmlint complaining about line lengths is just "arbitrary packaging policy" as far as rpm is concerned.
Putting the package name on a separate line seems like a reasonable minimal fix here (it works until you encounter a package whose name is > 80 characters)

For Fedora it's redhat-rpm-config that controls the -debuginfo package creation though.
Comment 3 Bug Zapper 2009-11-18 07:45:29 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 02:51:27 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.